Bug 243824 - sysutils/burp-devel: Update to 2.3.22
Summary: sysutils/burp-devel: Update to 2.3.22
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Gerald Pfeifer
URL: https://burp.grke.org/changelog.html
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-02-02 21:44 UTC by Lorenzo Salvadore
Modified: 2020-02-16 10:21 UTC (History)
1 user (show)

See Also:


Attachments
burp-devel-2.3.22 (956 bytes, patch)
2020-02-02 21:44 UTC, Lorenzo Salvadore
salvadore: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore freebsd_committer 2020-02-02 21:44:17 UTC
Created attachment 211304 [details]
burp-devel-2.3.22

Changelog:
https://burp.grke.org/changelog.html

Tested successfully with poudriere on {11.3,12.1}-RELEASE {i386,amd64}.
Comment 1 Automation User 2020-02-03 02:58:29 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/114345730
Comment 2 commit-hook freebsd_committer 2020-02-16 09:21:41 UTC
A commit references this bug:

Author: gerald
Date: Sun Feb 16 09:20:50 UTC 2020
New revision: 526257
URL: https://svnweb.freebsd.org/changeset/ports/526257

Log:
  Update to the 2.3.22 development snapshot of burp.

   * Fix possible segfault in server-side listing.
   * Fix protocol2 bug where cname was overwritten.
   * Man page and README tweaks.

  PR:		243824
  Submitted by:	salvadore (maintainer)

Changes:
  head/sysutils/burp-devel/Makefile
  head/sysutils/burp-devel/distinfo
Comment 3 Gerald Pfeifer freebsd_committer 2020-02-16 10:04:38 UTC
I have created a changelog / commit log and applied your patch, thank you.

As maintainer of this port, you probably know this software better than any
committer, so if you can propose a commit log for future updates that'll be
great. :)
Comment 4 Lorenzo Salvadore freebsd_committer 2020-02-16 10:21:03 UTC
(In reply to Gerald Pfeifer from comment #3)

I will do thanks.
I will start immediately with other patches I have on bugzilla.